# Docker 镜像导入导出指南

## 镜像信息

- 名称: saas
- 版本: 25.5.12
- 文件: saas-25.5.12.tar
- 大小: 67.4 MB
- 导出日期: 2025/5/12

## 导入镜像

使用以下命令将镜像导入 Docker:

```powershell
# 导入镜像
docker load -i D:\DockerImages\saas-25.5.12.tar
```

## 验证导入

导入后，使用以下命令确认镜像已成功加载:

```powershell
# 查看镜像列表
docker images | findstr saas
```

## 运行容器

使用以下命令从镜像运行容器:

```powershell
# 基本运行命令
docker run -d -p 3000:3000 --name saas-app saas:25.5.12

# 或者使用 docker-compose
docker-compose up -d
```

## 导出说明

此镜像是使用以下命令导出的:

```powershell
# 导出镜像命令
docker save -o D:\DockerImages\saas-25.5.12.tar saas:25.5.12
```

## 镜像构建说明

此镜像通过以下命令构建:

```powershell
# 构建命令
docker build -t saas:25.5.12 -f Dockerfile .
```

## 注意事项

1. 导入/导出过程可能需要几分钟时间，取决于系统性能
2. 确保有足够的磁盘空间用于导入操作
3. 镜像基于 Node.js 22 Alpine，优化用于生产环境 