import type { NextConfig } from "next";

const nextConfig: NextConfig = {
  /* config options here */
  reactStrictMode: true,
  // 配置开发服务器选项，降低热重载频率
  onDemandEntries: {
    // 期间页面在内存中保持的时间（毫秒）
    maxInactiveAge: 25 * 1000,
    // 同时保持的页面数
    pagesBufferLength: 2,
  },
  // 添加 standalone 输出模式，优化 Docker 部署
  output: 'standalone',
  // 禁用 ESLint 检查
  eslint: {
    // 在构建时不进行 ESLint 检查
    ignoreDuringBuilds: true,
  },
};

export default nextConfig;
