/**
 * 客户数据模型接口定义
 * 作者: 阿瑞
 * 功能: 定义客户数据结构
 * 版本: 1.0
 */

/**
 * 客户地址接口
 */
export interface ICustomerAddress {
  province?: string;
  city?: string;
  district?: string;
  detail?: string;
}

/**
 * 客户信息接口
 */
export interface ICustomer {
  id?: number;
  name: string;
  phone: string;
  address?: ICustomerAddress;
  gender?: '男' | '女';
  wechat?: string;
  birthday?: string; // ISO日期格式
  follow_date?: string; // ISO日期格式
  balance?: number;
  deleted_at?: string | null;
  created_at?: string;
  updated_at?: string;
}

/**
 * 客户列表项接口
 */
export interface ICustomerListItem {
  id: number;
  name: string;
  phone: string;
  wechat?: string;
  follow_date?: string;
  balance: number;
} 