/**
 * 物流记录数据模型接口定义
 * 作者: 阿瑞
 * 功能: 定义物流记录数据结构
 * 版本: 1.0
 */

import { IOrderProductItem } from './IProduct';

/**
 * 关联记录类型枚举
 */
export enum RecordType {
  SALES_RECORD = 'SalesRecord',
  AFTER_SALES_RECORD = 'AfterSalesRecord'
}

/**
 * 物流记录信息接口
 */
export interface ILogisticsRecord {
  id?: number;
  tracking_number?: string;
  is_queryable?: boolean;
  customer_tail_number?: string;
  company?: string;
  details?: string;
  status?: string;
  record_id: number;
  record_type: RecordType;
  created_at?: string;
  updated_at?: string;
  
  // 关联数据
  products?: IOrderProductItem[];
}

/**
 * 物流记录列表项接口
 */
export interface ILogisticsRecordListItem {
  id: number;
  tracking_number?: string;
  company?: string;
  customer_tail_number?: string;
  is_queryable?: boolean;
  details?: string;
  status?: string;
  record_id: number;
  record_type: RecordType;
  created_at: string;
} 