/**
 * 支付平台数据模型接口定义
 * 作者: 阿瑞
 * 功能: 定义支付平台数据结构
 * 版本: 1.0
 */

/**
 * 支付平台状态枚举
 */
export enum PaymentPlatformStatus {
  DISABLED = 0,
  NORMAL = 1,
  BACKUP = 2,
  OTHER = 3
}

/**
 * 支付平台信息接口
 */
export interface IPaymentPlatform {
  id?: number;
  order: number;
  name: string;
  description?: string;
  status?: PaymentPlatformStatus;
  created_at?: string;
  updated_at?: string;
}

/**
 * 支付平台列表项接口
 */
export interface IPaymentPlatformListItem {
  id: number;
  order: number;
  name: string;
  status: PaymentPlatformStatus;
} 