/**
 * 店铺数据模型接口定义
 * 作者: 阿瑞
 * 功能: 定义店铺数据结构
 * 版本: 1.0
 */

/**
 * 店铺状态枚举
 */
export enum ShopStatus {
  DISABLED = 0,
  NORMAL = 1,
  BANNED = 2,
  PENDING_UNBAN = 3,
  BACKUP = 4,
  OTHER = 5
}

/**
 * 店铺信息接口
 */
export interface IShop {
  id?: number;
  unionid?: string;
  openid?: string;
  account_no?: string;
  wechat?: string;
  avatar?: string;
  nickname?: string;
  phone?: string;
  status?: ShopStatus;
  remark?: string;
  created_at?: string;
  updated_at?: string;
  account_types?: number[]; // 关联的账号类型ID数组
}

/**
 * 店铺列表项接口
 */
export interface IShopListItem {
  id: number;
  wechat: string;
  nickname?: string;
  avatar?: string;
  status: ShopStatus;
  account_no?: string;
} 