/**
 * 店铺粉丝增长数据模型接口定义
 * 作者: 阿瑞
 * 功能: 定义店铺粉丝增长数据结构
 * 版本: 1.0
 */

import { IShopListItem } from './IShop';

/**
 * 店铺粉丝增长记录接口
 */
export interface IShopFollowerGrowth {
  id?: number;
  shop_id: number;
  date: string; // ISO日期格式
  total: number;
  deducted: number;
  daily_increase: number;
  created_at?: string;
  updated_at?: string;
  
  // 关联数据
  shop?: IShopListItem;
}

/**
 * 店铺粉丝增长记录列表项接口
 */
export interface IShopFollowerGrowthListItem {
  id: number;
  shop_id: number;
  shop_name?: string;
  date: string;
  total: number;
  deducted: number;
  daily_increase: number;
} 