/**
 * 店铺引流消费数据模型接口定义
 * 作者: 阿瑞
 * 功能: 定义店铺引流消费数据结构
 * 版本: 1.0
 */

import { IShopListItem } from './IShop';

/**
 * 店铺引流消费记录接口
 */
export interface IShopTrafficExpense {
  id?: number;
  shop_id: number;
  record_time: string; // ISO日期时间格式
  expense_amount: number;
  traffic_channel?: string;
  traffic_platform?: string;
  remark?: string;
  created_at?: string;
  updated_at?: string;
  
  // 关联数据
  shop?: IShopListItem;
}

/**
 * 店铺引流消费记录列表项接口
 */
export interface IShopTrafficExpenseListItem {
  id: number;
  shop_id: number;
  shop_name?: string;
  record_time: string;
  expense_amount: number;
  traffic_channel?: string;
  traffic_platform?: string;
} 