/**
 * @作者 阿瑞
 * @功能 系统枚举类型定义
 * @版本 1.0.0
 */

import { PaymentType } from '@/models/team/types/old/sales';

/* 本地存储键名枚举 */
export enum StorageEnum {
  Settings = 'saas-settings',
  Token = 'saas-token',
  UserInfo = 'saas-user-info'
}

/* 主题模式枚举 */
export enum ThemeMode {
  Light = 'light',
  Dark = 'dark'
}

/**
 * 支付类型中文名称映射
 */
export const PaymentTypeNames: Record<PaymentType, string> = {
  [PaymentType.FULL_PAYMENT]: '全款',
  [PaymentType.DEPOSIT]: '定金',
  [PaymentType.UNPAID]: '未付',
  [PaymentType.FREE]: '赠送',
  [PaymentType.OTHER]: '其他'
};

/**
 * 支付类型颜色映射
 */
export const PaymentTypeColors: Record<PaymentType, string> = {
  [PaymentType.FULL_PAYMENT]: 'text-green-600 dark:text-green-400',
  [PaymentType.DEPOSIT]: 'text-yellow-600 dark:text-yellow-400',
  [PaymentType.UNPAID]: 'text-red-600 dark:text-red-400',
  [PaymentType.FREE]: 'text-blue-600 dark:text-blue-400',
  [PaymentType.OTHER]: 'text-gray-600 dark:text-gray-400'
}; 